Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 2906)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 2907)
@@ -52,34 +52,54 @@
  * @author mdecorde.
  */
 public class OpenLocalizedWebPage extends AbstractHandler {
-
+	
 	/** The Constant ID. */
 	public final static String ID = "org.txm.rcp.commands.OpenLocalizedWebPage"; //$NON-NLS-1$
-
-	public static final String GITPAGES = "https://pages.textometrie.org/";
-	public static final String URL_TEXTOMETRIE = GITPAGES+"textometrie/";
-	public static final String URL_TXMMANUAL = GITPAGES+"txm-manual/";
-	public static final String URL_TXMDEPOT = GITPAGES+"txm-software/";
+	
+	public static final String GITPAGES = "https://txm.gitpages.huma-num.fr/";
+	
+	public static final String URL_TEXTOMETRIE = GITPAGES + "textometrie/";
+	
+	public static final String URL_TXMMANUAL = GITPAGES + "txm-manual/";
+	
+	public static final String URL_TXMDEPOT = GITPAGES + "txm-software/";
+	
 	public static final String HTMLPAGES = URL_TEXTOMETRIE + "html/";
+	
 	public static final String FILESPAGES = URL_TEXTOMETRIE + "files/";
-
+	
 	public static final String TEXTOMETRIE = "textometrie"; //$NON-NLS-1$
+	
 	public static final String TEXTOMETRIE_DOCS = "textometrie_docs"; //$NON-NLS-1$
+	
 	public static final String SF = "sf"; //$NON-NLS-1$
+	
 	public static final String SF_DOCS = "sf_docs"; //$NON-NLS-1$
+	
 	public static final String TREETAGGER = "treetagger"; //$NON-NLS-1$
+	
 	public static final String REFMAN = "refman"; //$NON-NLS-1$
+	
 	public static final String PDFREFMAN = "pdfrefman"; //$NON-NLS-1$
+	
 	public static final String BUG = "bug"; //$NON-NLS-1$
+	
 	public static final String FEATURE = "feature"; //$NON-NLS-1$
+	
 	public static final String MAILINGLIST = "mailinglist"; //$NON-NLS-1$
+	
 	public static final String FAQ = "faq"; //$NON-NLS-1$
+	
 	public static final String CONTRIB = "contrib"; //$NON-NLS-1$
+	
 	public static final String TXMUSERS = "txm-users wiki"; //$NON-NLS-1$
+	
 	public static final String MACROS = "macros"; //$NON-NLS-1$
+	
 	public static final String CORPORA = "corpora"; //$NON-NLS-1$
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
 	@Override
@@ -90,13 +110,13 @@
 			openfile(key);
 			return null;
 		}
-
+		
 		return null;
 	}
-
+	
 	/**
 	 * try connecting to an URL if it fails, the alternative url is returned
-	 *  
+	 * 
 	 * @param urltoTest
 	 * @param alternativeUrl
 	 * @return
@@ -105,53 +125,60 @@
 		try {
 			URL url = new URL(urltoTest);
 			if (url.getProtocol().equals("https")) {
-
-				//ts.setCertificateEntry(UUID.randomUUID(), cert);
+				
+				// ts.setCertificateEntry(UUID.randomUUID(), cert);
 				HttpsURLConnection connection = (HttpsURLConnection) url.openConnection();
 				if (SSLContext.getDefault() != null) {
-
+					
 					// Create a trust manager that does not validate certificate chains
-					TrustManager[] trustAllCerts = new TrustManager[] { 
-							new X509TrustManager() {     
-								public java.security.cert.X509Certificate[] getAcceptedIssuers() { 
+					TrustManager[] trustAllCerts = new TrustManager[] {
+							new X509TrustManager() {
+								
+								@Override
+								public java.security.cert.X509Certificate[] getAcceptedIssuers() {
 									return new java.security.cert.X509Certificate[0];
-								} 
-								public void checkClientTrusted( 
-										java.security.cert.X509Certificate[] certs, String authType) {
-								} 
-								public void checkServerTrusted( 
-										java.security.cert.X509Certificate[] certs, String authType) {
 								}
-							} 
+								
+								@Override
+								public void checkClientTrusted(
+										java.security.cert.X509Certificate[] certs, String authType) {}
+								
+								@Override
+								public void checkServerTrusted(
+										java.security.cert.X509Certificate[] certs, String authType) {}
+							}
 					};
-
+					
 					// Install the all-trusting trust manager for this connection ONLY
 					try {
 						SSLContext sc = SSLContext.getInstance("SSL");
-						sc.init(null, trustAllCerts, new java.security.SecureRandom()); 
+						sc.init(null, trustAllCerts, new java.security.SecureRandom());
 						connection.setSSLSocketFactory(sc.getSocketFactory());
-					} catch (GeneralSecurityException e) {
+					}
+					catch (GeneralSecurityException e) {
 						Log.printStackTrace(e);
-					} 
+					}
 				}
-
+				
 				if (connection.getResponseCode() != HttpsURLConnection.HTTP_OK) {
 					Log.fine(NLS.bind("HTTP Error while testing the \"{0}\" web page: {1}", urltoTest, connection.getResponseCode()));
 					connection.disconnect();
 					return alternativeUrl;
 				}
 				connection.disconnect();
-			} else {
+			}
+			else {
 				url.openStream().close();
 			}
-
-		} catch (Exception e) {
+			
+		}
+		catch (Exception e) {
 			Log.fine(NLS.bind("Error while testing the \"{0}\" web page: {1}", urltoTest, e.getMessage()));
 			return alternativeUrl;
 		}
 		return urltoTest;
 	}
-
+	
 	/**
 	 * Openfile.
 	 *
@@ -159,84 +186,108 @@
 	 * @return the txm browser
 	 */
 	static public Object openfile(String key) {
-
+		
 		String version = Platform.getBundle(Activator.PLUGIN_ID).getVersion().toString();
 		int idx = version.lastIndexOf("."); //$NON-NLS-1$
 		if (idx > 0) version = version.substring(0, idx); // remove the "qualifier" part
-
+		
 		String locale = Locale.getDefault().getLanguage();
-
+		
 		if (TEXTOMETRIE.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(URL_TEXTOMETRIE); 
-			} else {
-				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE+locale, URL_TEXTOMETRIE+"en")); //$NON-NLS-1$
+				return OpenBrowser.openfile(URL_TEXTOMETRIE);
 			}
-		} else if (FAQ.equals(key)) {
+			else {
+				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE + locale, URL_TEXTOMETRIE + "en")); //$NON-NLS-1$
+			}
+		}
+		else if (FAQ.equals(key)) {
 			return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/faq"); //$NON-NLS-1$
-		} else if (CONTRIB.equals(key)) {
+		}
+		else if (CONTRIB.equals(key)) {
 			return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/contribuer"); //$NON-NLS-1$
-		} else if (SF_DOCS.equals(key)) {
+		}
+		else if (SF_DOCS.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(URL_TEXTOMETRIE+"/Documentation/#txm-manual"); 
-			} else {
-				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE+locale+"/Documentation/#txm-manual", URL_TEXTOMETRIE+"en/Documentation/#txm-manual")); //$NON-NLS-1$
+				return OpenBrowser.openfile(URL_TEXTOMETRIE + "Documentation/#txm-manual");
 			}
-		} else if (SF.equals(key)) {
+			else {
+				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE + locale + "Documentation/#txm-manual", URL_TEXTOMETRIE + "en/Documentation/#txm-manual")); //$NON-NLS-1$
+			}
+		}
+		else if (SF.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(FILESPAGES); 
-			} else {
-				return OpenBrowser.openfile(getValidURL(FILESPAGES+locale, URL_TEXTOMETRIE+"en")); //$NON-NLS-1$
+				return OpenBrowser.openfile(FILESPAGES);
 			}
-		} else if (TEXTOMETRIE_DOCS.equals(key)) {
+			else {
+				return OpenBrowser.openfile(getValidURL(FILESPAGES + locale, URL_TEXTOMETRIE + "en")); //$NON-NLS-1$
+			}
+		}
+		else if (TEXTOMETRIE_DOCS.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(URL_TEXTOMETRIE+"/Documentation"); 
-			} else {
-				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE+locale+"/Documentation", URL_TEXTOMETRIE+"en/Documentation")); //$NON-NLS-1$
+				return OpenBrowser.openfile(URL_TEXTOMETRIE + "Documentation");
 			}
-		} else if (TREETAGGER.equals(key)) {
+			else {
+				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE + locale + "/Documentation", URL_TEXTOMETRIE + "en/Documentation")); //$NON-NLS-1$
+			}
+		}
+		else if (TREETAGGER.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(URL_TEXTOMETRIE+"InstallTreeTagger"); 
-			} else {
-				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE+locale+"/InstallTreeTagger/", URL_TEXTOMETRIE+"en/InstallTreeTagger")); //$NON-NLS-1$ //$NON-NLS-2$
+				return OpenBrowser.openfile(URL_TEXTOMETRIE + "InstallTreeTagger");
 			}
-		} else if (REFMAN.equals(key)) {
+			else {
+				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE + locale + "/InstallTreeTagger/", URL_TEXTOMETRIE + "en/InstallTreeTagger")); //$NON-NLS-1$ //$NON-NLS-2$
+			}
+		}
+		else if (REFMAN.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(URL_TXMMANUAL); 
-			} else {
-				return OpenBrowser.openfile(getValidURL(URL_TXMMANUAL+locale, URL_TXMMANUAL)); //$NON-NLS-1$
+				return OpenBrowser.openfile(URL_TXMMANUAL);
 			}
-		}  else if (CORPORA.equals(key)) {
+			else {
+				return OpenBrowser.openfile(getValidURL(URL_TXMMANUAL + locale, URL_TXMMANUAL));
+			}
+		}
+		else if (CORPORA.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(FILESPAGES+"corpora"); 
-			} else {
-				return OpenBrowser.openfile(getValidURL(FILESPAGES+"corpora/"+locale, URL_TXMMANUAL+"corpora/en")); //$NON-NLS-1$
+				return OpenBrowser.openfile(FILESPAGES + "corpora");
 			}
-		}else if (PDFREFMAN.equals(key)) {
-			return OpenBrowser.openfile(FILESPAGES+"documentation/Manuel%20de%20TXM%200.8%20FR.pdf"); //$NON-NLS-1$ 
-		} else if (BUG.equals(key)) {
+			else {
+				return OpenBrowser.openfile(getValidURL(FILESPAGES + "corpora/" + locale, URL_TXMMANUAL + "corpora/en")); //$NON-NLS-1$
+			}
+		}
+		else if (PDFREFMAN.equals(key)) {
+			return OpenBrowser.openfile(FILESPAGES + "documentation/Manuel%20de%20TXM%200.8%20FR.pdf"); //$NON-NLS-1$
+		}
+		else if (BUG.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
 				return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/retours_de_bugs_logiciel"); //$NON-NLS-1$
-			} else {
+			}
+			else {
 				return OpenBrowser.openfile("https://sourceforge.net/p/txm/feature-requests/?source=navbar"); //$NON-NLS-1$
 			}
-		} else if (FEATURE.equals(key)) {
+		}
+		else if (FEATURE.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
 				return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/demande_de_fonctionnalites"); //$NON-NLS-1$
-			} else {
+			}
+			else {
 				return OpenBrowser.openfile("http://sourceforge.net/tracker/?group_id=247041&atid=1190851"); //$NON-NLS-1$
 			}
-		} else if (MAILINGLIST.equals(key)) {
+		}
+		else if (MAILINGLIST.equals(key)) {
 			return OpenBrowser.openfile("https://groupes.renater.fr/sympa/subscribe/txm-users"); //$NON-NLS-1$
-		} else if (MACROS.equals(key)) {
+		}
+		else if (MACROS.equals(key)) {
 			return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users/public/macros"); //$NON-NLS-1$
-		} else if (TXMUSERS.equals(key)) {
+		}
+		else if (TXMUSERS.equals(key)) {
 			return OpenBrowser.openfile("https://groupes.renater.fr/wiki/txm-users"); //$NON-NLS-1$
-		} else { // no key associated, key is an URL
-			return OpenBrowser.openfile(key); //$NON-NLS-1$
 		}
+		else { // no key associated, key is an URL
+			return OpenBrowser.openfile(key);
+		}
 	}
-
+	
 	public static void main(String args[]) {
 		String s = getValidURL("https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.1beta/", "https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.1beta");
 		System.out.println(s);
